/realms/{realmId}/organizations/{organizationId}/accounts/{accountId}/wallets/{walletId}/transactions/{transactionId}/spend-review/request
curl --request POST \
--url https://api.banking.v2.portao3.com.br/realms/{realmId}/organizations/{organizationId}/accounts/{accountId}/wallets/{walletId}/transactions/{transactionId}/spend-review/request \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.banking.v2.portao3.com.br/realms/{realmId}/organizations/{organizationId}/accounts/{accountId}/wallets/{walletId}/transactions/{transactionId}/spend-review/request"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.banking.v2.portao3.com.br/realms/{realmId}/organizations/{organizationId}/accounts/{accountId}/wallets/{walletId}/transactions/{transactionId}/spend-review/request', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"environment": "LIVE",
"realmId": "<string>",
"organizationId": "<string>",
"accountId": "<string>",
"walletId": "<string>",
"availableBalanceBefore": 123,
"financialImpactType": "CREDIT",
"responseCode": "0",
"msgType": 1400,
"txnType": 0,
"effectiveAt": "<string>",
"billingAmount": 123,
"billingAmountAuthorized": 123,
"billingCurrency": "784",
"policyRequest": {
"id": "<string>",
"realmId": "<string>",
"organizationId": "<string>",
"accountId": "<string>",
"walletId": "<string>",
"context": "PAYMENT",
"subjectType": "<string>",
"subjectId": "<string>",
"requester": {
"userId": "<string>",
"name": "<string>",
"email": "<string>"
},
"body": {},
"policyId": "<string>",
"status": "REQUESTED",
"executionStatus": "WAITING",
"approvalDeadline": "<string>",
"approvalHierarchy": true,
"approvals": [
{
"type": "USER",
"id": "<string>",
"name": "<string>",
"status": "WAITING",
"users": [
{
"userId": "<string>",
"userName": "<string>",
"userEmail": "<string>",
"status": "WAITING"
}
],
"createdAt": "<string>",
"requestedAt": "<string>",
"decisionAt": "<string>",
"decisionReason": "<string>"
}
],
"walletName": "<string>",
"denialReason": "<string>",
"resolution": "AUTO",
"executionMode": "MOVE_BALANCE_ONLY",
"executionFailReason": "<string>",
"executionMoveBalance": {
"addBalance": true,
"fromAccountId": "<string>",
"fromWalletId": "<string>"
},
"createdAt": "<string>",
"updatedAt": "<string>"
},
"_id": "<string>",
"balanceCategory": "FLEX_NATIONAL",
"cardId": "<string>",
"cardTransaction": {
"acquiringCountryCode": "<string>",
"localTime": "<string>",
"acquiringId": "<string>",
"txnCurrency": "784",
"txnAmount": 123,
"txnAmountAuthorized": 123,
"linkedTransactions": [
{
"transactionId": "<string>",
"linkType": "REVERSES",
"createdAt": "<string>",
"updatedAt": "<string>"
}
],
"mcc": "5931",
"merchantCity": "<string>",
"merchantCountry": "<string>",
"merchantId": "<string>",
"merchantName": "<string>",
"expired": true,
"cleared": true,
"overcleared": true,
"reversed": true,
"posEntryMode": "<string>",
"_id": "<string>",
"recurring": true,
"mobileWalletProvider": 103
},
"pixTransaction": {
"initiationType": "MANUAL",
"creditParty": {
"bankIspb": "<string>",
"accountType": "CACC",
"document": "<string>",
"keyType": "PHONE",
"key": "<string>",
"name": "<string>",
"street": "<string>",
"city": "<string>",
"state": "<string>",
"postalCode": "<string>",
"branch": "<string>",
"accountNumber": 123
},
"debitParty": {
"bankIspb": "<string>",
"accountType": "CACC",
"document": "<string>",
"keyType": "PHONE",
"key": "<string>",
"name": "<string>",
"street": "<string>",
"city": "<string>",
"state": "<string>",
"postalCode": "<string>",
"branch": "<string>",
"accountNumber": 123
},
"description": "<string>",
"txnCurrency": "784",
"txnOriginalAmount": 123,
"txnDiscountAmount": 123,
"txnFineAmount": 123,
"txnInterestAmount": 123,
"txnPurchaseAmount": 123,
"txnWithdrawalAmount": 123,
"txnUpdatedAmount": 123,
"txnUpdatedAmountAuthorized": 123,
"cleared": true,
"linkedTransactions": [
{
"transactionId": "<string>",
"linkType": "REVERSES",
"createdAt": "<string>",
"updatedAt": "<string>"
}
],
"internalPixId": "<string>",
"internalPixBillingId": "<string>",
"payer": {
"document": "<string>",
"name": "<string>"
},
"withdrawal": {
"agentType": "AGTEC",
"serviceProvider": "<string>"
},
"receipt": {
"endToEndId": "<string>"
},
"dueDate": "<string>",
"expiresAt": "<string>",
"qrCodeType": "STATIC",
"pixCopyPaste": "<string>",
"qrQrCodeActive": true,
"errorDescription": "<string>",
"additionalInfo": [
{
"key": "<string>",
"value": "<string>"
}
]
},
"boletoTransaction": {
"barcode": "<string>",
"txnCurrency": "784",
"txnOriginalAmount": 123,
"txnDiscountAmount": 123,
"txnFineAmount": 123,
"txnInterestAmount": 123,
"txnUpdatedAmount": 123,
"txnUpdatedAmountAuthorized": 123,
"txnMaxAmount": 123,
"txnMinAmount": 123,
"issuer": "<string>",
"payee": "<string>",
"payeeDocument": "<string>",
"payer": "<string>",
"payerDocument": "<string>",
"linkedTransactions": [
{
"transactionId": "<string>",
"linkType": "REVERSES",
"createdAt": "<string>",
"updatedAt": "<string>"
}
],
"type": "GENERIC",
"internalBoletoId": "<string>",
"receipt": {
"authentication": "<string>",
"authenticationApi": "<string>",
"receipt": "<string>"
},
"confirmedAt": "<string>",
"dueDate": "<string>",
"expiresAt": "<string>",
"settlesAt": "<string>"
},
"p2pTransaction": {
"txnCurrency": "784",
"txnAmount": 123,
"txnAmountAuthorized": 123,
"payeeAccountId": "<string>",
"payeeWalletId": "<string>",
"payerAccountId": "<string>",
"payerWalletId": "<string>",
"linkedTransactions": [
{
"transactionId": "<string>",
"linkType": "REVERSES",
"createdAt": "<string>",
"updatedAt": "<string>"
}
]
},
"tedTransaction": {
"creditParty": {
"accountNumber": "<string>",
"accountType": "CACC",
"bankCode": "<string>",
"branch": "<string>",
"document": "<string>",
"name": "<string>",
"personName": "<string>"
},
"debitParty": {
"accountNumber": "<string>",
"accountType": "CACC",
"bankCode": "<string>",
"branch": "<string>",
"document": "<string>",
"name": "<string>",
"personName": "<string>"
},
"description": "<string>",
"txnCurrency": "784",
"txnAmount": 123,
"txnAmountAuthorized": 123,
"linkedTransactions": [
{
"transactionId": "<string>",
"linkType": "REVERSES",
"createdAt": "<string>",
"updatedAt": "<string>"
}
],
"internalTedId": "<string>",
"rolledback": {
"reason": "<string>",
"reasonCode": "<string>"
}
},
"feeTransaction": {
"linkedTransactions": [
{
"transactionId": "<string>",
"linkType": "REVERSES",
"createdAt": "<string>",
"updatedAt": "<string>"
}
],
"txnCurrency": "784",
"txnAmount": 123,
"txnAmountAuthorized": 123,
"creditParty": {
"type": "LOCAL",
"local": {
"realmId": "<string>",
"organizationId": "<string>",
"accountId": "<string>",
"walletId": "<string>",
"category": "FLEX_NATIONAL"
},
"remote": {
"pixKey": "<string>",
"pixDict": "PHONE"
}
},
"debitParty": {
"type": "LOCAL",
"local": {
"realmId": "<string>",
"organizationId": "<string>",
"accountId": "<string>",
"walletId": "<string>",
"category": "FLEX_NATIONAL"
},
"remote": {
"pixKey": "<string>",
"pixDict": "PHONE"
}
},
"description": "<string>",
"external": {
"invoiceId": "<string>",
"dealId": "<string>",
"contractId": "<string>"
}
},
"internalErrorCode": "<string>",
"enrichment": {
"merchant": "META",
"category": "ADVERTISING_AND_MARKETING",
"rulesVersion": 123
},
"customFields": {},
"description": "<string>",
"receipt": "<string>",
"spendReview": {
"status": "PENDING_APPROVAL",
"requestedAt": "<string>",
"source": "PAYMENT",
"policyId": "<string>",
"policyRequestId": "<string>",
"autoApproved": true,
"requester": {
"userId": "<string>",
"name": "<string>",
"email": "<string>"
},
"approvalExpiresAt": "<string>",
"decidedAt": "<string>",
"declineOutcome": "DENIED",
"decisionReason": "<string>"
},
"spendReviewSubmissionLeaseUntil": "<string>",
"external": {
"transactionId": "<string>",
"pixId": "<string>",
"paymentId": "<string>",
"boletoId": "<string>",
"tedId": "<string>"
},
"processingType": "INSTANT",
"createdAt": "<string>",
"updatedAt": "<string>"
}Transactions
/realms/{realmId}/organizations/{organizationId}/accounts/{accountId}/wallets/{walletId}/transactions/{transactionId}/spend-review/request
POST
/
realms
/
{realmId}
/
organizations
/
{organizationId}
/
accounts
/
{accountId}
/
wallets
/
{walletId}
/
transactions
/
{transactionId}
/
spend-review
/
request
/realms/{realmId}/organizations/{organizationId}/accounts/{accountId}/wallets/{walletId}/transactions/{transactionId}/spend-review/request
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Response
201 - application/json
Successful response
The transaction, together with the approval request just opened for its spend review.
Available options:
LIVE, TEST Available options:
CREDIT, DEBIT, NONE Available options:
0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 20, 21, 22, 23, 24, 25, 26, 27, 28, 29, 30, 31, 32, 33, 34, 35, 36, 37, 38, 39, 40, 41, 42, 43, 44, 46, 51, 52, 53, 54, 55, 56, 57, 58, 59, 60, 61, 62, 63, 64, 65, 66, 67, 68, 70, 75, 76, 77, 78, 79, 80, 81, 82, 83, 85, 86, 87, 88, 90, 91, 92, 93, 94, 95, 96, 97, 98, 100, 101, 104, 105, 106, 107, 108, 109, 110, 111, 112, 113, 114, 115, 116, 117, 118, 119, 120, 121, 122, 123, 124, 125, 126, 127, 128, 129, 130, 131, 132, 133, 134, 135, 136, 137, 138, 139, 140, 141, 142, 143, 144, 145, 146, 147, 148, 149, 150, 151, 152, 153, 154, 155, 156, 157, 158, 159, 160, 161, 162, 163, 164, 165, 166, 167, 168, 169, 170, 171, 172, 173, 174, 175, 176, 177, 178, 179, 180, 181, 182, 183, 184, 185, 186, 187, 188, 189, 190, 191, 192, 193, 194, 195, 196, 197, 198, 199, 200, 201, 202, 203, 204, 205, 206, 207, 210, 211, 212, 213, 214, 215, 219, 220, 221, 222, 223, 224, 225, 226, 229, 230, 231, 232, 233, 234, 235, 236, 237, 238, 239, 240, 241, 243, 244, 245, 246, 247, 248, 249, 250, 251, 252, 253, 254, 255, 256, 257, 258, 259, 260, 261, 262, 263, 264, 265, 266, 267, 268, 269, 270, 271, 272, 273, 274, 275, 276, 277, 278, 283, 286, 290, 292, 294, 296, 297, 298, 380, 381, 382, 383, 384, 400, 3001, 9553, 9999 Available options:
1400, 1420, 1100, 1120, 1220, 1722, 1600, 8900, 8901, 8902 Available options:
0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 20, 21, 22, 23, 24, 25, 26, 27, 28, 29, 30, 31, 32, 33, 34, 35, 36, 37, 38, 39, 40, 41, 42, 43, 44, 45, 46, 47, 48, 49, 50, 51, 52, 53, 54, 55, 56, 57, 58, 63, 67, 68, 73, 74, 75, 76, 77, 100, 101 Available options:
784, 971, 008, 051, 973, 032, 036, 533, 944, 977, 052, 050, 048, 108, 060, 096, 068, 984, 986, 044, 064, 072, 933, 084, 124, 976, 947, 756, 948, 990, 152, 156, 170, 970, 188, 192, 132, 203, 262, 208, 214, 012, 818, 232, 230, 978, 242, 238, 826, 981, 936, 292, 270, 324, 320, 328, 344, 340, 332, 348, 360, 376, 356, 368, 364, 352, 388, 400, 392, 404, 417, 116, 174, 408, 410, 414, 136, 398, 418, 422, 144, 430, 426, 434, 504, 498, 969, 807, 104, 496, 446, 929, 480, 462, 454, 484, 979, 458, 943, 516, 566, 558, 578, 524, 554, 512, 590, 604, 598, 608, 586, 985, 600, 634, 946, 941, 643, 646, 682, 090, 690, 938, 752, 702, 654, 925, 706, 968, 728, 930, 222, 760, 748, 764, 972, 934, 788, 776, 949, 780, 901, 834, 980, 800, 840, 997, 940, 858, 927, 860, 926, 928, 704, 548, 882, 396, 950, 961, 959, 955, 956, 957, 958, 951, 532, 960, 952, 964, 953, 962, 994, 963, 965, 999, 886, 710, 967, 924 Show child attributes
Show child attributes
Available options:
FLEX_NATIONAL, FLEX_INTERNATIONAL, FOOD, GAS, MOBILITY, TOLL, FLEX_NATIONAL_WITHOUT_WITHDRAWALS, ADS, SAAS, HOTEL, AIRLINES, TRAVEL, BLOCKED, CASHBACK Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Present only once the transaction was submitted for spend review (D2). See TransactionSpendReview above.
Show child attributes
Show child attributes
A spend-review submission is in flight until this instant; custom-field edits and a second submission are refused meanwhile.
Show child attributes
Show child attributes
Available options:
INSTANT, DELAYED